Package uima.ruta.example

# Class Author

java.lang.Object
org.apache.uima.cas.impl.FeatureStructureImplC
org.apache.uima.jcas.cas.TOP
org.apache.uima.jcas.cas.AnnotationBase
org.apache.uima.jcas.tcas.Annotation
uima.ruta.example.Author

All Implemented Interfaces:
  `Cloneable`, `org.apache.uima.cas.AnnotationBaseFS`, `org.apache.uima.cas.FeatureStructure`, `org.apache.uima.cas.impl.AnnotationBaseImpl`, `org.apache.uima.cas.impl.AnnotationImpl`, `org.apache.uima.cas.impl.FeatureStructureImpl`, `org.apache.uima.cas.text.AnnotationFS`

public class Author extends org.apache.uima.jcas.tcas.Annotation
Updated by JCasGen Mon Feb 05 11:09:48 CET 2024 XML source: /Users/bluefire/git/uima-ruta-release/target/checkout/example-projects/ruta-maven-example/target/jcasgen/typesystem.xml

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `org.apache.uima.cas.impl.FeatureStructureImplC.PrintReferences`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `_TypeName`
  `static final int`
  `type`
  `static final int`
  `typeIndexID`

  ### Fields inherited from class org.apache.uima.jcas.tcas.Annotation

  `_FeatName_begin, _FeatName_end`

  ### Fields inherited from class org.apache.uima.jcas.cas.AnnotationBase

  `_FeatName_sofa`

  ### Fields inherited from class org.apache.uima.jcas.cas.TOP

  `_singleton`

  ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Author()`
  Deprecated.
  ``
  `Author(org.apache.uima.cas.impl.TypeImpl type, org.apache.uima.cas.impl.CASImpl casImpl)`
  Internal - constructor used by generator
  ``
  `Author(org.apache.uima.jcas.JCas jcas)`
  ``
  `Author(org.apache.uima.jcas.JCas jcas, int begin, int end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTypeIndexID()`

  ### Methods inherited from class org.apache.uima.jcas.tcas.Annotation

  `_createMarkerAnnotation, compareAnnotation, compareAnnotation, compareAnnotationWithId, compareAnnotationWithId, getBegin, getCoveredText, getEnd, getStart, setBegin, setEnd, trim`

  ### Methods inherited from class org.apache.uima.jcas.cas.AnnotationBase

  `getSofa, getView, setFeatureValue`

  ### Methods inherited from class org.apache.uima.jcas.cas.TOP

  `_createJCasHashMapReserve, _createSearchKey`

  ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

  `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, toString, wrapGetIntCatchException`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.cas.AnnotationBaseFS

  `getView`

  ### Methods inherited from interface org.apache.uima.cas.text.AnnotationFS

  `coveredBy, coveredBy, covering, covering, following, following, overlapping, overlapping, overlappingAtBegin, overlappingAtBegin, overlappingAtEnd, overlappingAtEnd, preceding, preceding, trim`

  ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

  `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

  ### Methods inherited from interface org.apache.uima.cas.impl.FeatureStructureImpl

  `prettyPrint, prettyPrint, prettyPrint, prettyPrint, toString`

- ## Field Details

  - ### _TypeName

    public static final String _TypeName
    See Also:
      - Constant Field Values

  - ### typeIndexID

    public static final int typeIndexID

  - ### type

    public static final int type

- ## Constructor Details

  - ### Author

    @Deprecated protected Author()
    Deprecated.
    Never called. Disable default constructor

  - ### Author

    public Author(org.apache.uima.cas.impl.TypeImpl type, org.apache.uima.cas.impl.CASImpl casImpl)
    Internal - constructor used by generator
    Parameters:
      `casImpl` - the CAS this Feature Structure belongs to
      `type` - the type of this Feature Structure

  - ### Author

    public Author(org.apache.uima.jcas.JCas jcas)
    Parameters:
      `jcas` - JCas to which this Feature Structure belongs

  - ### Author

    public Author(org.apache.uima.jcas.JCas jcas, int begin, int end)
    Parameters:
      `jcas` - JCas to which this Feature Structure belongs
      `begin` - offset to the begin spot in the SofA
      `end` - offset to the end spot in the SofA

- ## Method Details

  - ### getTypeIndexID

    public int getTypeIndexID()
    Overrides:
      `getTypeIndexID` in class `org.apache.uima.jcas.tcas.Annotation`
    Returns:
      index of the type